diff test.sh @ 103:12e43b583554

Quick test script, & rename examples to match
author Chris Cannam <c.cannam@qmul.ac.uk>
date Mon, 14 Mar 2016 13:16:15 +0000
parents
children a5eb5ef2e92d
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test.sh	Mon Mar 14 13:16:15 2016 +0000
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -eu
+
+for ex in examples/*.json ; do
+    echo "Checking $ex..." 1>&2
+    jsonschema -i "$ex" schema/$(basename "$ex")
+done
+